Package org.eclipse.birt.report.engine.api.script.instance

# Interface IRowInstance

All Superinterfaces:
  `IReportElementInstance`

public interface IRowInstance extends IReportElementInstance

## Method Summary

Modifier and Type
Method
Description
`String`
`getBookmarkValue()`
Get the value of bookmark
`String`
`getHeight()`
Get the height of the row
`IScriptStyle`
`getStyle()`
Get the style of the row
`void`
`setBookmark(String bookmark)`
Set the bookmark
`void`
`setHeight(String height)`
Set the height of the row

### Methods inherited from interface org.eclipse.birt.report.engine.api.script.instance.IReportElementInstance

`getHorizontalPosition, getNamedExpressionValue, getParent, getRowData, getUserPropertyValue, getVerticalPosition, getWidth, setHorizontalPosition, setUserPropertyValue, setVerticalPosition, setWidth`

## Method Details

### getStyle

IScriptStyle getStyle()
Get the style of the row

Specified by:
  `getStyle` in interface `IReportElementInstance`
Returns:
  style of the row

### getBookmarkValue

String getBookmarkValue()
Get the value of bookmark

Returns:
  value of bookmark

### setBookmark

void setBookmark(String bookmark)
Set the bookmark

Parameters:
  `bookmark` -

### getHeight

String getHeight()
Get the height of the row

Specified by:
  `getHeight` in interface `IReportElementInstance`
Returns:
  the height of the row

### setHeight

void setHeight(String height)
Set the height of the row

Specified by:
  `setHeight` in interface `IReportElementInstance`
Parameters:
  `height` -